Skip to main content
GET
/
v1
/
beneficiaries
/
{id}
Get beneficiary by ID
curl --request GET \
  --url https://api.example.com/v1/beneficiaries/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/v1/beneficiaries/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/v1/beneficiaries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "accounts": [
    {
      "createdAt": "2024-01-15T10:30:00Z",
      "currency": "EUR",
      "data": {
        "bic": "DEUTDEFF",
        "iban": "DE89370400440532013000"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "status": "active",
      "type": "iban",
      "updatedAt": "2024-01-15T10:35:00Z",
      "resolutionStatus": "resolved",
      "resolvedAccountName": "JANE DOE"
    }
  ],
  "country": "DE",
  "createdAt": "2024-01-15T10:30:00Z",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "John Doe",
  "status": "active",
  "type": "individual",
  "updatedAt": "2024-01-15T10:30:00Z",
  "address": "Hauptstraße 123",
  "addressLine2": "Apt 4B, 3rd Floor",
  "city": "Berlin",
  "countrySubdivision": "NY",
  "dateOfBirth": "1985-05-20",
  "email": "john.doe@example.com",
  "middleName": "James",
  "notes": "Regular client, prefers SEPA Instant",
  "postcode": "10115"
}

Authorizations

Authorization
string
header
required

Enter Auth0 JWT token

Path Parameters

id
string<uuid>
required

Unique identifier for the beneficiary

Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

Beneficiary found

accounts
object[]
required

Array of associated payment accounts

country
string
required

Country code (ISO 3166-1 alpha-2)

Example:

"DE"

createdAt
string<date-time>
required

ISO timestamp when the beneficiary was created

Example:

"2024-01-15T10:30:00Z"

id
string<uuid>
required

Unique identifier for the beneficiary

Example:

"123e4567-e89b-12d3-a456-426614174000"

name
string
required

Full name of the beneficiary

Example:

"John Doe"

status
enum<string>
required

Beneficiary status

Available options:
active,
inactive,
suspended
Example:

"active"

type
enum<string>
required

Beneficiary type

Available options:
individual,
business
Example:

"individual"

updatedAt
string<date-time>
required

ISO timestamp when the beneficiary was last updated

Example:

"2024-01-15T10:30:00Z"

address
string

Address line 1 of the beneficiary

Example:

"Hauptstraße 123"

addressLine2
string

Address line 2 of the beneficiary

Example:

"Apt 4B, 3rd Floor"

city
string

City of the beneficiary

Example:

"Berlin"

countrySubdivision
string

Country subdivision code (e.g., US state code "NY", "CA")

Example:

"NY"

dateOfBirth
string

Date of birth in YYYY-MM-DD format (individual beneficiaries only).

Example:

"1985-05-20"

email
string

Email address of the beneficiary

Example:

"john.doe@example.com"

middleName
string

Middle name of the beneficiary

Example:

"James"

notes
string

Notes about the beneficiary

Example:

"Regular client, prefers SEPA Instant"

postcode
string

Postal code of the beneficiary

Example:

"10115"